Sakai Logo

Sakai 2.6.3 maintenance release

Release Date: 26 August 2010

The Sakai 2.6.3 maintenance release provides a set of bug fixes, language/locale updates and performance enhancements that improve upon the Sakai 2.6.2 release. Over 300 issues have been addressed in this release.

Issues Addressed

Sakai 2.6.3
Kernel 1.0.18

Downloads

Demo: The Sakai Demo is a pre-built version of Sakai with Apache Tomcat and a simple configuration, perfect for a quick and easy demo of Sakai. The Sakai demo is NOT intended for large scale implementations. It is suitable only for evaluating the software and running small pilot implementations on a single server. Win sakai-demo-2.6.3.zip md5
Mac/*nix sakai-demo-2.6.3.tgz md5
Binary: The Sakai Binary is a pre-built version of Sakai without Apache Tomcat, jar dependencies, or extra configuration files. Download the Binary release if you want to just drop the Sakai bundle into a pre-existing Tomcat environment. Win sakai-bin-2.6.3.zip md5
Mac/*nix sakai-bin-2.6.3.tgz md5
Source: The Sakai Source is all the Sakai source code for this release. Start from Source if you plan to make any code-level changes to your Sakai system. Win sakai-src-2.6.3.zip md5
Mac/*nix sakai-src-2.6.3.tgz md5
Javadocs Win sakai-javadoc-2.6.3.zip md5
Mac/*nix sakai-javadoc-2.6.3.tgz md5
Taglibdocs Win sakai-taglibdoc-2.6.3.zip md5
Mac/*nix sakai-taglibdoc-2.6.3.tgz md5

Source Code

Sakai uses Subversion for source control and provides maintenance branches - which include the latest bug fixes - for its most current releases. You can check out Sakai 2.6 using a subversion client. If you don't wish to track and merge changes with subversion you can use 'svn export' instead.

2.6.3 tag: svn co https://source.sakaiproject.org/svn/sakai/tags/sakai-2.6.3/ 2.6.3

2.6.x Maintenance Branch: svn co https://source.sakaiproject.org/svn/sakai/branches/sakai_2-6-x 2.6.x

Trunk (latest development) svn co https://source.sakaiproject.org/svn/sakai/trunk trunk

Documentation

For 2.6.3 release notes, installation guides and other documentation visit our 2.6 documentation space in our public wiki.

System Requirements

Sakai is Java-based and will run on a wide variety of platforms. That said, a number of supporting technologies are required to run Sakai in a production setting.

Java J2SE JDK 5.0 Update 18 (1.5.0_18)

The Java 2 Platform Standard Edition 5.0 (J2SE JDK 5.0) is required to build and run Sakai and we recommend JDK 5.0 Update 18 or newer.  JSP pages (among other things) require some compilation, so downloading and attempting to use only the runtime environment (JRE 5.0) will not suffice.

Java Standard Edition 6: Sakai 2.6 can be run under Java SE JDK 6, otherwise known as Java 1.6.0. See the release notes for required JVM settings that you must use.

Applet Warning: security vulnerabilities have been reported for applets under certain minor versions of the JRE. Sakai does include some applets, so see Sun's security alert to get details on recommended minor versions.

Apache Tomcat 5.5.30

Although Tomcat is not the only available servlet container, it is highly recommended for Sakai, and the documentation assumes Tomcat use. Sakai QA was conducted on Tomcat 5.5.30, and this is the recommended version.

Tomcat 6.0.x This version of Tomcat is known to be incompatible with Sakai 2.6.3 due to a change in Tomcat, also see SAK-12931.

Apache Maven 2.0.10+

Maven 2 is the build tool used to deploy the source code and is therefore not necessary if you only plan to install the Sakai Demo with the default configuration. For production deployments it is an essential supporting technology.

Databases

MySQL 5.1 (table type: InnoDB), MySQL 5.0.45+ (table type: InnoDB); Oracle 10g, 9i; HSQLDB (demo only)

Sakai utilizes HSQLDB as its "out of the box" database, requiring no special installation steps to set up but this database is not recommended for production installations.

MySQL 5.1, MySQL 5.0.45+, Oracle 9i and Oracle 10g are currently supported by Sakai 2.6 but setting them up to work with Sakai will require additional configuration.

MySQL InnoDB: Sakai requires transaction support so the InnoDB storage engine is required for MySQL deployments.

Database Drivers

For MySQL 5.0 and 5.1 we recommend mysql-connector-java-5.1.13 with query caching enabled.

Regardless of the version of Oracle in use, we recommend using a recent Oracle 11g driver (See SAK-11960.)

New Developers

The best introduction for new developers is found in a wiki space called the Programmer's Cafe. A number of experienced Sakai developers have banded together there to produce guides and tutorial materials for those who wish to start hacking on Sakai.

Issue Tracking

Bug reports and feature requests may be created and monitored through Jira.

Older Releases

Sakai 2.6 series contains a number of security enhancements that have not been applied to Sakai 2.5 which is no longer supported by the Sakai Community. Organizations running Sakai 2.5 (or earlier versions) are strongly encouraged to upgrade to the latest versions of Sakai 2.6 or 2.7 in order to take advantage of continued maintenance support.

License

The Sakai 2.6 series is licensed under the: Educational Community License version 2.0.